/**
 * Copyright © Volker Schukai and all contributing authors, 2026. All rights reserved.
 * Node module: @schukai/monster
 *
 * This source code is licensed under the GNU Affero General Public License version 3 (AGPLv3).
 * The full text of the license can be found at: https://www.gnu.org/licenses/agpl-3.0.en.html
 *
 * For those who do not wish to adhere to the AGPLv3, a commercial license is available.
 * Acquiring a commercial license allows you to use this software without complying with the AGPLv3 terms.
 * For more information about purchasing a commercial license, please contact Volker Schukai.
 */

import { addAttributeToken } from "../../dom/attributes.mjs";
import { ATTRIBUTE_ERRORMESSAGE } from "../../dom/constants.mjs";

export { RippleStyleSheet };

/**
 * @private
 * @type {CSSStyleSheet}
 */
const RippleStyleSheet = new CSSStyleSheet();

try {
	RippleStyleSheet.insertRule(
		`
@layer ripple {
span.monster-fx-ripple{position:absolute;border-radius:50%;transform:scale(0);animation:monster-fx-ripple .6s linear;background-color:hsla(0,0%,100%,.7)}@keyframes monster-fx-ripple{to{transform:scale(4);opacity:0}}
}`,
		0,
	);
} catch (e) {
	addAttributeToken(
		document.getRootNode().querySelector("html"),
		ATTRIBUTE_ERRORMESSAGE,
		e + "",
	);
}
